package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdManagerCompany;
import com.xmomen.module.base.entity.CdManagerCompanyExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdManagerCompanyMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdManagerCompanyExample example);

    // 根据条件删除记录
    int deleteByExample(CdManagerCompanyExample example);

    // 插入记录
    int insertSelective(CdManagerCompany record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdManagerCompany record, @Param("example") CdManagerCompanyExample example);
}